html, body, #app {
  height: 100%;
  margin: 0;
}

/* LAYOUT */

.valign-wrapper.center {
  justify-content: center;
}

/* TYPOGRAPHY */

@media only screen and (min-width: 0) {
  html {
    font-size: 18px;
  }
}
@media only screen and (min-width: 992px) {
  html {
    font-size: 20px;
  }
}
@media only screen and (min-width: 1200px) {
  html {
    font-size: 22px;
  }
}
a {
  transition: color .3s ease-out;
}
.text-bold {
  font-weight: bold;
}
.text-italic {
  font-style: italic;
}
.text-center {
  text-align: center;
}
h1 {
  font-size: 2.5em;
  text-transform: uppercase;
}
.material-icons {
  font-size: 1.5em;
  vertical-align: middle;
}

/* COLORS */

.success {
  background-color: #4CAF50;
}
.success:hover {
  background-color: #51bd55;
}
.danger {
  background-color: #F44336;
}
.danger:hover {
  background-color: #f5594e;
}
.success-text, 
.success-text:hover {
  color: #4CAF50;
}
.danger-text,
.danger-text:hover {
  color: #F44336;
}

/* BUTTONS */

.btn, .btn-large, .btn-flat {
  padding: 0 1.5rem;
}
.btn {
  height: 40px;
  line-height: 40px;
}
.btn .icon {
  width: 20px;
  height: 20px;
  margin: 10px 15px 0 0;
  float: left;
}
.btn.facebook {
  background-color: #3b5998;
}
.btn.facebook:hover {
  background-color: #4668b3;
}
.btn.twitter {
  background-color: #4099FF;
}
.btn.twitter:hover {
  background-color: #59a7ff;
}

/* TABLES */

.table-responsive {
  min-height: .01%;
  overflow-x: auto;
}

/* HEADER */

#header {
  min-height: 100%;
  color: #fff;
}
#header .background {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -1;
  background-image: url('/img/header.jpg');
  background-size: cover;
}
#header .content {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-filter: drop-shadow(0px 0px 15px rgba(247,247,247,1));
          filter: drop-shadow(0px 0px 15px rgba(247,247,247,1));  
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%); 
}
#header h1 {
  margin-top: 0;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 2.5em;
}
#header h1 a {
  color: #6441a5;
  display: inline-block;
}
#header h1 a:hover {
  color: #7049b7;
}
#header h2 {
  font-size: 1.8em;
}
#header .arrow {
  position: absolute;
  bottom: 20px;
  left: 50%;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
}
#header .arrow a {
  color: #fff;
  cursor: pointer;
}
#header .arrow i {
  font-size: 2em;
}

/* SECTIONS */

.section {
  padding-top: 4rem;
  padding-bottom: 4rem;
  background-image: url('/img/section-bgd.png');
}
.section h1, 
.section h2 {
  text-align: center;
  font-weight: bold;
}
.step {
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: bold;
  text-align: center;
  margin: 0 auto;
  padding: 30px;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  line-height: 1;
  box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
}
.step > span {
  font-size: 2.8em;
  display: block;
}
.section.style-1 {
  background-color: #B2DBBF;
}
.section.style-1 .step {
  background-color: #94b9a0;
}
.section.style-2 {
  color: #fff;
  background-color: #7859B2;
}
.section.style-2 .step {
  background-color: #644a96;
}
.section.style-3 {
  background-color: #F2B880;
}
.section.style-3 .step {
  background-color: #de9c5d;
}
.section.style-4 {
  color: #fff;
  background-color: #4f9cdc;
}
.section.style-4 .step {
  background-color: #3a87c7;
}
.section.style-5 {
  color: #fff;
  background-color: #222;
}
.section.style-6 {
  color: #fff;
  background-color: #111;
}
.section .card {
  margin: 1rem 0 2rem;
}
.action {
  text-align: center;
  margin-bottom: 0;
}
#footer, #credits {
  font-size: 0.8em;
}
#credits {
  padding: 3rem 0;
}
#credits .logo:hover img {
  -webkit-animation: swing 1s;
  animation: swing 1s;
}
#footer {
  padding: 1rem 0;
}
#footer a {
  color: hsl(50, 100%, 50%);
}
#footer a:hover {
  color: hsl(50, 100%, 65%);
}

/* FEATURES */

.feature .image {
  display: block;
  margin-top: 1rem;
}
.feature .image img {
  max-width: 90px;
}
.feature .image img:hover {
  -webkit-animation: swing 1s;
  animation: swing 1s;
}
.feature .caption {
  text-transform: uppercase;
  font-size: 1.5em;
  margin-top: 0.5em;
}

/* CARDS */

.card.user {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 300px;
}
.card.user .card-image {
  background: #6441a5;
}
.card.user .name {
  font-style: italic;
}
.card.user .name.logged-in {
  font-weight: bold;
  font-style: normal;
}
.card.old-account {
  color: rgba(0,0,0,0.87);
}
.card.old-account input {
  font-size: 1rem;
}
.card.old-account input[type=text]:focus:not([readonly])+label,
.card.old-account .input-field .prefix.active {
  color: #4f9cdc;
}
.card.old-account input[type=text]:focus:not([readonly]) {
  border-bottom: 1px solid #4f9cdc;
  box-shadow: 0 1px 0 0 #4f9cdc;
}
.card.import-list [type="checkbox"]+span:not(.lever) {
  padding-left: 24px;
}
.card.import-list [type="checkbox"].filled-in:not(:checked)+span:not(.lever):before,
.card.import-list [type="checkbox"].filled-in:not(:checked)+span:not(.lever):after,                  
.card.import-list [type="checkbox"].filled-in:checked+span:not(.lever):before,
.card.import-list [type="checkbox"].filled-in:checked+span:not(.lever):after {
  top: 5px;
}
.card.import-list a {
  color: #F2B880;
}
.card.import-list [type="checkbox"].filled-in:checked+span:not(.lever):after {
  border-color: #94b9a0;
  background-color: #94b9a0;
}
.card.import-list [type="checkbox"].filled-in:not(:checked)+span:not(.lever):after {
  border-color: #dcdcdc;
}
.card.import-list table .material-icons {
  font-size: 1.2em;
  margin-top: -6px;
}
.channel img {
  background: #6441a5;
  max-width: 50px;
  max-height: 50px;
  border-radius: 2px;
}
.card.import-list table tbody tr:last-of-type {
  border-top: 1px solid #d0d0d0;
}
.card.import-list table [type="checkbox"]+label {
  padding-left: 20px;
}
.import-progress {
  margin-top: 1.5rem;
  font-style: italic;
  text-align: center;
}

/* TOASTS */

.toast {
  font-size: 0.9em;
}
.toast.success {
  background-color: #66bb6a;
}
.toast.error {
  background-color: #ef5350;
}
.toast.warning {
  background-color: #f57c00;
}

/* ANIMATIONS */

.spin {
  -webkit-animation: spin 2s infinite linear;
          animation: spin 2s infinite linear;
}
@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
        -ms-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}

@keyframes bounce {
  from, 20%, 53%, 80%, to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
            animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    -webkit-transform: translate3d(0,0,0);
            transform: translate3d(0,0,0);
  }

  40%, 43% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
        animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
    -webkit-transform: translate3d(0, -30px, 0);
            transform: translate3d(0, -30px, 0);
  }

  70% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
        animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
    -webkit-transform: translate3d(0, -15px, 0);
            transform: translate3d(0, -15px, 0);
  }

  90% {
    -webkit-transform: translate3d(0,-4px,0);
            transform: translate3d(0,-4px,0);
  }
}

.bounce {
  -webkit-animation: bounce 2s infinite;
          animation: bounce 2s infinite;
  -webkit-transform-origin: center bottom;
      -ms-transform-origin: center bottom;
          transform-origin: center bottom;
}

@-webkit-keyframes swing {
  20% {
    -webkit-transform: rotate3d(0, 0, 1, 10deg);
            transform: rotate3d(0, 0, 1, 10deg);
  }
  40% {
    -webkit-transform: rotate3d(0, 0, 1, -5deg);
            transform: rotate3d(0, 0, 1, -5deg);
  }
  60% {
    -webkit-transform: rotate3d(0, 0, 1, 2.5deg);
            transform: rotate3d(0, 0, 1, 2.5deg);
  }
  80% {
    -webkit-transform: rotate3d(0, 0, 1, -2.5deg);
            transform: rotate3d(0, 0, 1, -2.5deg);
  }
  to {
    -webkit-transform: rotate3d(0, 0, 1, 0deg);
            transform: rotate3d(0, 0, 1, 0deg);
  }
}
@keyframes swing {
  20% {
    -webkit-transform: rotate3d(0, 0, 1, 10deg);
            transform: rotate3d(0, 0, 1, 10deg);
  }
  40% {
    -webkit-transform: rotate3d(0, 0, 1, -5deg);
            transform: rotate3d(0, 0, 1, -5deg);
  }
  60% {
    -webkit-transform: rotate3d(0, 0, 1, 2.5deg);
            transform: rotate3d(0, 0, 1, 2.5deg);
  }
  80% {
    -webkit-transform: rotate3d(0, 0, 1, -2.5deg);
            transform: rotate3d(0, 0, 1, -2.5deg);
  }
  to {
    -webkit-transform: rotate3d(0, 0, 1, 0deg);
            transform: rotate3d(0, 0, 1, 0deg);
  }
}
.swing {
  -webkit-transform-origin: top center;
      -ms-transform-origin: top center;
          transform-origin: top center;
  -webkit-animation-name: swing;
          animation-name: swing;
}

/* MEDIA QUERIES */

@media only screen and (max-width: 600px) {
  
  /* SECTIONS */

  .step {
    width: 110px;
    height: 110px;
  }  
}

@media only screen and (min-width: 601px) {
  
  /* HEADER */

  #header h1 {
    font-size: 4em;
  }
  #header h2 {
    font-size: 2.3em;
  }

  /* TOASTS */

  #toast-container {
    min-width: 100%;
    top: auto;
    right: auto;
    bottom: 0;
    left: 0;
    max-width: 100%
  }
  .toast {
    float: none;
    width: 100%;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
        -ms-flex-pack: center;
            justify-content: center;
  }
}